Bug 1014874 - vol-resize does not work
vol-resize does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 20:58 EDT by William Brown
Modified: 2013-10-11 19:57 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-1.0.5.6-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 19:57:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2013-10-02 20:58:40 EDT
Description of problem:

virsh # vol-info /var/lib/libvirt/images/spacewalk-centos.img
Name:           spacewalk-centos.img
Type:           file
Capacity:       15.00 GiB
Allocation:     2.85 GiB

virsh # vol-resize --vol /var/lib/libvirt/images/spacewalk-centos.img --capacity 35G

virsh # vol-info /var/lib/libvirt/images/spacewalk-centos.img
Name:           spacewalk-centos.img
Type:           file
Capacity:       15.00 GiB
Allocation:     2.85 GiB


Expected:

Capacity to increase on virtual volume.

See also:
https://bugzilla.redhat.com/show_bug.cgi?id=924567
Comment 1 Ján Tomko 2013-10-03 04:32:00 EDT
I have backported
commit 2a3a725c33aba2046443d33eb473eb54517f61c8
Author:     Osier Yang <jyang@redhat.com>
    virsh: Fix regression of vol-resize

to the v1.0.5-maint branch.
Comment 2 Fedora Update System 2013-10-06 15:18:39 EDT
libvirt-1.0.5.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-3.fc19
Comment 3 Fedora Update System 2013-10-08 07:36:28 EDT
Package libvirt-1.0.5.6-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.6-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18500/libvirt-1.0.5.6-3.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-11 19:57:33 EDT
libvirt-1.0.5.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.